# Delete a group Permanently removes a group (members are not deleted, only the group). Endpoint: DELETE /scim/v2/Groups/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. ## Path parameters: - `id` (string, required) The ID of the group to delete. Example: "78faa61b-4e3b-4799-9579-210fd4d80aca" ## Response 200 fields (application/json): - `schemas` (array) - `id` (string) - `displayName` (string) - `urn:zuora:scim:schemas:1.0:GroupExtension` (object) - `urn:zuora:scim:schemas:1.0:GroupExtension.description` (string) - `urn:zuora:scim:schemas:1.0:GroupExtension.organizationId` (string) - `urn:zuora:scim:schemas:1.0:GroupExtension.active` (boolean) - `meta` (object) - `meta.resourceType` (string) - `meta.location` (string) ## Response 401 fields ## Response 403 fields ## Response 404 fields